Bug 7743 - Use KohaDates TT plugin in OPAC
Summary: Use KohaDates TT plugin in OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian Maurice
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks: 7444
  Show dependency treegraph
 
Reported: 2012-03-19 14:42 UTC by Julian Maurice
Modified: 2013-12-05 19:53 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Update opac-account.pl to use KohaDates TT plugin (2.25 KB, patch)
2012-03-19 14:45 UTC, Julian Maurice
Details | Diff | Splinter Review
Update opac-tags.pl to use KohaDates TT plugin (1.98 KB, patch)
2012-03-19 14:46 UTC, Julian Maurice
Details | Diff | Splinter Review
Update opac-user.pl to use KohaDates TT plugin (9.55 KB, patch)
2012-03-19 14:47 UTC, Julian Maurice
Details | Diff | Splinter Review
Update opac-detail.pl to use KohaDates TT plugin (7.39 KB, patch)
2012-03-19 14:47 UTC, Julian Maurice
Details | Diff | Splinter Review
Update sco/sco-main.pl to use KohaDates TT plugin (2.58 KB, patch)
2012-03-19 14:48 UTC, Julian Maurice
Details | Diff | Splinter Review
Update opac-userupdate.pl to use KohaDates TT plugin (4.88 KB, patch)
2012-03-19 14:49 UTC, Julian Maurice
Details | Diff | Splinter Review
Update opac-showreviews.pl to use KohaDates TT plugin (3.96 KB, patch)
2012-03-19 14:49 UTC, Julian Maurice
Details | Diff | Splinter Review
Update opac-readingrecord.pl to use KohaDates TT plugin (2.54 KB, patch)
2012-03-19 14:50 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7743: Update opac-account.pl to use KohaDates TT plugin (2.30 KB, patch)
2012-03-23 10:42 UTC, Marijana Glavica
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7743: Update opac-tags.pl to use KohaDates TT plugin (2.03 KB, patch)
2012-03-23 10:43 UTC, Marijana Glavica
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7743: Update opac-user.pl to use KohaDates TT plugin (9.33 KB, patch)
2012-03-23 10:43 UTC, Marijana Glavica
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7743: Update opac-detail.pl to use KohaDates TT plugin (7.08 KB, patch)
2012-03-23 10:43 UTC, Marijana Glavica
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7743: Update sco/sco-main.pl to use KohaDates TT plugin (2.64 KB, patch)
2012-03-23 10:43 UTC, Marijana Glavica
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7743: Update opac-userupdate.pl to use KohaDates TT plugin (4.94 KB, patch)
2012-03-23 10:44 UTC, Marijana Glavica
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7743: Update opac-showreviews.pl to use KohaDates TT plugin (4.02 KB, patch)
2012-03-23 10:44 UTC, Marijana Glavica
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7743: Update opac-readingrecord.pl to use KohaDates TT plugin (3.56 KB, patch)
2012-03-23 10:44 UTC, Marijana Glavica
Details | Diff | Splinter Review
Bug 7743 followup: fix use of removed formattedwaitingdate param in opac-user.tt (1.47 KB, patch)
2012-03-25 22:22 UTC, Ian Walls
Details | Diff | Splinter Review
Bug 7743 follow up fixing syntax to so templates pass test (983 bytes, patch)
2012-04-09 08:08 UTC, Chris Cormack
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7743 follow up fixing syntax to so templates pass test (1.07 KB, patch)
2012-04-09 09:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2012-03-19 14:42:42 UTC
Related to bug 7444, this bug is to track removal of format_date in *.pl in favor of KohaDates TT plugin, in OPAC pages.
Comment 1 Julian Maurice 2012-03-19 14:45:56 UTC Comment hidden (obsolete)
Comment 2 Julian Maurice 2012-03-19 14:46:30 UTC Comment hidden (obsolete)
Comment 3 Julian Maurice 2012-03-19 14:47:15 UTC Comment hidden (obsolete)
Comment 4 Julian Maurice 2012-03-19 14:47:54 UTC Comment hidden (obsolete)
Comment 5 Julian Maurice 2012-03-19 14:48:38 UTC Comment hidden (obsolete)
Comment 6 Julian Maurice 2012-03-19 14:49:20 UTC Comment hidden (obsolete)
Comment 7 Julian Maurice 2012-03-19 14:49:43 UTC Comment hidden (obsolete)
Comment 8 Julian Maurice 2012-03-19 14:50:11 UTC Comment hidden (obsolete)
Comment 9 Julian Maurice 2012-03-19 14:52:57 UTC
To test, just apply a patch, and go to the modified page. If dates are still displayed correctly, then you can signoff the patch
Comment 10 Marijana Glavica 2012-03-23 10:42:23 UTC Comment hidden (obsolete)
Comment 11 Marijana Glavica 2012-03-23 10:43:24 UTC Comment hidden (obsolete)
Comment 12 Marijana Glavica 2012-03-23 10:43:36 UTC Comment hidden (obsolete)
Comment 13 Marijana Glavica 2012-03-23 10:43:46 UTC Comment hidden (obsolete)
Comment 14 Marijana Glavica 2012-03-23 10:43:57 UTC Comment hidden (obsolete)
Comment 15 Marijana Glavica 2012-03-23 10:44:09 UTC Comment hidden (obsolete)
Comment 16 Marijana Glavica 2012-03-23 10:44:19 UTC Comment hidden (obsolete)
Comment 17 Marijana Glavica 2012-03-23 10:44:36 UTC Comment hidden (obsolete)
Comment 18 Ian Walls 2012-03-25 22:22:12 UTC Comment hidden (obsolete)
Comment 19 Ian Walls 2012-03-25 22:23:39 UTC
opac-account.pl:  Passed QA

opac-tags.pl:  Passed QA

opac-user.pl:  Still depends on formattedwaitingdate in an IF conditional, which is removed from the template params.

opac-detail.pl: Passed QA

sco/sco-main.pl: Passed QA

opac-userupdate.pl: Passed QA

opac-showreviews.pl: Passed QA

opac-readingrecord.pl:  as far as I can tell, this depends on the opac-user.pl patch and the opac-detail.pl patch, doing some followup cleaning on them.  Looks safe, so marking as Passed QA.

My appended patch is designed to fix the issue with opac-user.pl.  With that patch in place, I can mark this all as Passed QA.
Comment 20 Julian Maurice 2012-04-04 14:20:42 UTC
ok in master
Comment 21 Chris Cormack 2012-04-09 08:08:35 UTC Comment hidden (obsolete)
Comment 22 Katrin Fischer 2012-04-09 09:58:39 UTC
Created attachment 9041 [details] [review]
[SIGNED-OFF] Bug 7743 follow up fixing syntax to so templates pass test

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Failing test was: xt/author/valid-templates.t
Comment 23 Paul Poulain 2012-04-10 12:32:05 UTC
follow-up needed because patch 3a0b35cfbca53c347869df7823cfff879fffa73d (bug 2780) replaced the USE KohaDates by a use KohaDates
Comment 24 Julian Maurice 2012-04-25 12:09:35 UTC
ok in master, marked as resolved.